AOZ Studio Beta - Bug #26

filesystem Drive not found errors
01/18/2020 02:31 PM - Brian Flanagan

Status: Closed Start date: 01/18/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3

Affected version: 0.9.5

Description

Access to filesystem not as described in documentation.

Example: Help_26, line 93 from AMOSPro_Examples:

Line 93:

Load "AMOSPro_Examples:OBJECTS/BOBS.abk"

Causes: Drive not found at 93, column 1

File structure is: (dots added for proper indentation)

Help_26

.filesystem

....AMOSPro_Examples

...... OBJECTS

........ BOBS.abk

| also tried using a simple drive designation with the same results

Load "DF0:OBJECTS/BOBS.abk"

Help_26

.filesystem

....DFO

...... OBJECTS

........ BOBS.abk

Related issues:

Has duplicate AOZ Studio Beta - Bug #95: filesystem Drive not found errors ag... Closed 02/01/2020

History

#1 - 01/21/2020 04:07 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.3

Fixed... Please note that Loading an image bank may crash (certainly will), | did nto test the code yet. No time... :|

#2 - 02/01/2020 05:18 AM - Brian Flanagan
Broken again in 0.9.3.2. (See bug #95.)

#3 - 02/01/2020 07:44 AM - Baptiste Pillot

- Status changed from Resolved to Feedback

#4 - 02/01/2020 07:44 AM - Baptiste Pillot

- Has duplicate Bug #95: filesystem Drive not found errors again. added
http://support.aoz.studio/issues/95

#5 - 02/03/2020 06:45 PM - Francois Lionet

- Status changed from Feedback to Resolved

Corrected, and now you wont even need to copy the files in the application's filesystenm folder as the AMSPro_Example layys in the refault
resources/filesystem folder... Now automatic!

#6 - 02/13/2020 09:57 PM - Brian Flanagan
Thanks for the default resources. This appears to be working fine, HOWEVER, the application's local filesystem still isn't working.
Example: Help_26 from AMOSPro_Examples.

| was told that if you create a filesystem folder within the application's folder, and the appropriate drive or volume name there, that it should be
checked first. If the file can be found there, it should override the default resources folder.

It doesn't seem to matter whether the item exists in the default resources or not. Either way, the local filesystem folder isn't working.
For this test, | created a local filesystem structure as follows:
Help_26
filesystem
MyData
Bobs.abk
| changed the Load command as follows:

Load "MyData:Bobs.abk"

(vs. 'Load "AMOSPro_Examples:Objects/Bobs.abk")
The Bobs.abk in the MyData folder is a copy of the file in the default resources)

The result was a "Drive Not Found" error.

When | created the same file structure within the default resources\filesystem, the bobs loaded fine.
#7 - 02/28/2020 03:26 AM - Brian Flanagan

- Status changed from Resolved to Closed

- Affected version changed from 0.9.2.6 to 0.9.5

0.9.2.6t0 0.9.5.1

The filesystem error has been corrected, however, there are still problems with Help_26.
Only the first half of the Help_26 example works.
